Subject: bug#49143: 28.0.50; find-file-literally doesn't ignore `mode:`

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Jun 2021 14:54:27 +0200

Stefan Monnier <[email-masked]> writes:

> Contrary to its documentation, it seems that `find-file-literally`
> doesn't ignore file-local `mode:` settings any more, as evidenced by the
> following backtrace:
>
>     dismal-mode()
>     hack-one-local-variable(mode dismal)

Oops.

> I suspect the culprit is
>
>     commit 5bedbe6b1d5f4b801abf91b4d023d5c4e66418f0
>     Author: Lars Ingebrigtsen <[email-masked]>
>     Date:   Mon May 10 12:40:11 2021 +0200

Yes, indeed.  I think I've now found the right fix -- I'm not totally
confident that it's the correct level to fix this on, though...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no